/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\WyvernsBarb.cs
Lines of code: 42

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class WyvernsBarb : ElvenSpellblade
	{
	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }

	 	[Constructable]
	 	public WyvernsBarb()
	 	{
	 	 	Name = "Wyvern's Barb";
	 	 	Hue = 642;
	 	 	Attributes.SpellChanneling = 1;
			Attributes.AttackChance = 15;
			WeaponAttributes.MageWeapon = 30;
			WeaponAttributes.HitLowerAttack = 50;			
			Attributes.WeaponSpeed = 35;
			Attributes.WeaponDamage = 30;
			Attributes.ReflectPhysical = 25;
			
			AosElementDamages.Physical=50;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=0;
			AosElementDamages.Poison=50;
			AosElementDamages.Energy=0;
			AosElementDamages.Chaos=0;		
	 	}

	 	public WyvernsBarb(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}
	}
}
